Subject: [nvo3] Framework draft - Section 4.2.4 - path MTU text

From: "Black, David" <[email-masked]>
Date: Tue, 20 May 2014 18:57:40 -0400

After my WGLC comments on the framework draft, I "won" the action item
to seek Transport Area review of the draft's path MTU text.  The results
of that review are that the current text on "Classical ICMP-based MTU Path
Discovery" looks reasonable, but the text on "Extended Path MTU Discovery
techniques" could use some elaboration.

Here's some proposed elaboration text for Section 4.2.4 in the -05 draft.

EXISTING (no change)

   It is possible for the MTU to be configured manually or to be
   discovered dynamically. Various Path MTU discovery techniques exist
   in order to determine the proper MTU size to use:

   - Classical ICMP-based MTU Path Discovery [RFC1191] [RFC1981]

     - Tenant Systems rely on ICMP messages to discover the MTU of the
        end-to-end path to its destination. This method is not always
        possible, such as when traversing middle boxes (e.g. firewalls)
        which disable ICMP for security reasons

OLD
   - Extended MTU Path Discovery techniques such as defined in
      [RFC4821]

NEW
   - Extended MTU Path Discovery techniques such as defined in
      [RFC4821].

     - Tenant Systems rely on detection of receipt and loss of probe
        packets at receivers and communication of that receipt/loss
        information to senders in order to discover the MTU of the
        end-to-end path to its destination.

Thanks,
--David
----------------------------------------------------
David L. Black, Distinguished Engineer
EMC Corporation, 176 South St., Hopkinton, MA  01748
+1 (508) 293-7953             FAX: +1 (508) 293-7786
[email-masked]        Mobile: +1 (978) 394-7754
----------------------------------------------------

---

From: "LASSERRE, MARC (MARC)" <[email-masked]>
Date: Wed, 21 May 2014 11:45:56 +0000

Thanks David!

I will add the suggested text.

Marc 

> -----Original Message-----
> From: nvo3 [mailto:[email-masked]] On Behalf Of Black, David
> Sent: Wednesday, May 21, 2014 12:58 AM
> To: [email-masked]
> Cc: Black, David
> Subject: [nvo3] Framework draft - Section 4.2.4 - path MTU text
> 
> After my WGLC comments on the framework draft, I "won" the 
> action item to seek Transport Area review of the draft's path 
> MTU text.  The results of that review are that the current 
> text on "Classical ICMP-based MTU Path Discovery" looks 
> reasonable, but the text on "Extended Path MTU Discovery 
> _______________________________________________
> nvo3 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/nvo3
>

---

From: "Black, David" <[email-masked]>
Date: Wed, 21 May 2014 11:49:05 -0400

An offline discussion has resulted in a suggestion for editorial improvement
- let's treat this as the first IETF Last Call comment on this draft ;-).

OLD

NEW
     - Tenant Systems send probe packets of different sizes, and
       rely on confirmation of receipt or lack thereof from receivers
       to discover the MTU of the end-to-end path to its destination.

Thanks,
--David

> From: LASSERRE, MARC (MARC) [mailto:[email-masked]]
> Sent: Wednesday, May 21, 2014 7:46 AM
> To: Black, David; [email-masked]
> Subject: RE: [nvo3] Framework draft - Section 4.2.4 - path MTU text
> 
> Thanks David!
>

---

From: "LASSERRE, MARC (MARC)" <[email-masked]>
Date: Thu, 22 May 2014 14:47:27 +0000

Thanks David. This change will be included in the next revision.

Marc

> From: Black, David [mailto:[email-masked]] 
> Sent: Wednesday, May 21, 2014 5:49 PM
> To: LASSERRE, MARC (MARC); [email-masked]
> > From: LASSERRE, MARC (MARC) 
> [mailto:[email-masked]]
> > > After my WGLC comments on the framework draft, I "won" the action 
> > > item to seek Transport Area review of the draft's path MTU text.  
> > > The results of that review are that the current text on 
> "Classical 
> > > ICMP-based MTU Path Discovery" looks reasonable, but the text on 
> > > "Extended Path MTU Discovery techniques" could use some 
> elaboration.
> > >
> > > Here's some proposed elaboration text for Section 4.2.4 
> in the -05 
> > > draft.
> > >
> > > EXISTING (no change)
> > >
> > > David L. Black, Distinguished Engineer EMC Corporation, 176 South 
> > > St., Hopkinton, MA  01748